import pandas as pd
import s3fs

s3_endpoint_url = "https://minio.wayl.one"  # Use HTTP if MinIO is not using SSL
s3_path = "s3://duckdb-playground/hotel_bookings.csv"
fs = s3fs.S3FileSystem(client_kwargs={"endpoint_url": s3_endpoint_url})
fs.ls("duckdb-playground")
df = pd.read_csv(fs.open(s3_path, mode="rb"))

print(df.shape)
